<template>
  <div>
    <hero>
      {{ heroTitle.HOME_TITLE }}
    </hero>
    <section class="section">
      <div class="container box">
        <div class="tile is-ancestor">
          <div class="tile is-parent is-vertical">
            <router-link :to="`/training`" class="button is-large is-primary">Training Data</router-link>
            <router-link :to="`/inspect`" class="button is-large is-primary">Inspect Data</router-link>
          </div>
          <div class="tile is-parent is-vertical">
            <router-link :to="`/testing`" class="button is-large is-primary">Testing Data</router-link>
            <router-link :to="`/result`" class="button is-large is-primary">Result</router-link>
          </div>
        </div>
      </div>

    </section>
  </div>
</template>

<script>
import Hero from '@/components/base/Hero'
export default {
  name: 'Home',
  components: { Hero },
  data () {
    return {
      // heroTitle: 'Deteksi Virus Dengue'
    }
  },
  computed: {
    heroTitle() {
      return this.$store.getters.getHeroTitle
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
  .container .tile a.button {
    min-height: 150px;
    margin-bottom: 5%;
  }
</style>
